Skip to content
GBG Documents & Biometrics Documentation

/FaceMatch/Id

POST
/FaceMatch/Id
curl --request POST \
--url https://facematch-v2-eu.core.idscan.cloud/FaceMatch/Id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form FirstFaceImageId=example \
--form SecondFaceImageId=example \
--form 'AdditionalData={ "additionalProperty": "example" }'

Determines the similarity score between two facial biometric images, with provided image ids, where images are stored in cache/store.

The Documents and Biometrics Core FaceMatch Service endpoint allows for two portrait image ids(selfie/face images) to be uploaded for comparison against each other. The endpoint will return a result after processing.The score is a value between 0 and 1, where score value of 0.8 or above is considered a Matched result, and score below 0.8 is a Not Matched result.

x-correlation-id
string

Correlation Id for the request

Media typemultipart/form-data
object
FirstFaceImageId

Image id of the first face image to be matched.

string
SecondFaceImageId

Image id of the second face image to be matched.

string
AdditionalData

Key value pair for request configurations, for any additional data to be passed.

object
key
additional properties
string
nullable
RequestId
string
CorrelationId
string

Returns a success on the Endpoint after processing the submitted facial images.This code does not indicate a success on the validation of the facial images themselves but rather a success on the call to the Endpoint. The face match result is in the response body (See Response Body section below).

Response of the face match service.

object
correlationId
string
nullable
score

Matching score of the query faces.

number format: float
result

Result of the match. Sets value of Matched, or Not Matched.

string
nullable
additionalDetails

Any additional details in key value pair.

object
key
additional properties
string
nullable

Error with the provided parameters, please, check the response provided to get more insights on the problem.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

Internal error during our processing, please, get in touch with support so we can help you.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable